commandwindow
clear
clc
close all
format short g
a=1.79;
dz=0.2;
dt=0.01;
z0=0;
zf=2;
t0=0;
tf=0.1;
n=(zf-z0)/dz;
m=(tf-t0)/dt;
r=a*(dt/(dz)^2);

t=[t0:dt:tf];
x=[z0:dz:zf];
u=zeros(m+1,n+1);
u(1:m+1,1)=zeros(m+1,1);
u(1:m+1,n+1)=16;
u(1,1:n+1)=2*(x.^3);
for j=1:m;
    i=2:n;
    u(j+1,i)=(r*u(j,i-1))+r*(u(j,i+1));
end
u
mesh(x,t,u)



